import { actionFormatter as baseActionFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled action formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Action formatter parameters
 * @returns HTML content for the action button with Rapid styling
 * @public
 */
export function actionFormatter(cell, formatterParams = {}) {
    // Always use 'rapid' prefix for Rapid styling
    return baseActionFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
