import { actionsMenuFormatter as baseActionsMenuFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled actions menu formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Actions menu formatter parameters
 * @returns HTML content for the actions menu with Rapid styling
 * @public
 */
export function actionsMenuFormatter(cell, formatterParams = {}) {
    // Always use 'rapid' prefix for Rapid styling
    return baseActionsMenuFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
