import { booleanFormatter as baseBooleanFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled boolean formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Boolean formatter parameters
 * @returns HTML content for the boolean value with Rapid styling
 * @public
 */
export function booleanFormatter(cell, formatterParams = {}) {
    // Always use 'rapid' prefix for Rapid styling
    return baseBooleanFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
