import { editableFormatter as baseEditableFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled editable formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Editable formatter parameters
 * @returns HTML content for the editable value with Rapid styling
 * @public
 */
export function editableFormatter(cell, formatterParams = {}) {
    // Always use 'rapid' prefix for Rapid styling
    return baseEditableFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
