/**
 * Cell formatters for the Rapid Grid Tabulator component.
 * These formatters extend the ones from the core grid-tabulator package.
 * @module cell-formatters
 */
// Import interfaces and types from the core grid-tabulator package
import { FormatterTypes, } from '@genesislcap/grid-tabulator';
// Import the Rapid-specific formatters
import { actionFormatter as rapidActionFormatter } from './action.formatter';
import { actionsMenuFormatter as rapidActionsMenuFormatter } from './actions-menu.formatter';
import { booleanFormatter as rapidBooleanFormatter } from './boolean.formatter';
import { editableFormatter as rapidEditableFormatter } from './editable.formatter';
import { selectFormatter as rapidSelectFormatter } from './select.formatter';
import { textFormatter as rapidTextFormatter } from './text.formatter';
// Re-export all the interfaces from foundation
export { FormatterTypes, rapidActionFormatter, rapidActionsMenuFormatter, rapidBooleanFormatter, rapidEditableFormatter, rapidSelectFormatter, rapidTextFormatter, };
/**
 * Rapid formatters for Tabulator grid
 */
export const rapidFormatters = {
    action: rapidActionFormatter,
    actionsMenu: rapidActionsMenuFormatter,
    boolean: rapidBooleanFormatter,
    editable: rapidEditableFormatter,
    select: rapidSelectFormatter,
    text: rapidTextFormatter,
};
