import { selectFormatter as baseSelectFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled select formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Select formatter parameters
 * @returns HTML content for the select value with Rapid styling
 * @public
 */
export function selectFormatter(cell, formatterParams = { options: [] }) {
    // Always use 'rapid' prefix for Rapid styling
    return baseSelectFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
