import { textFormatter as baseTextFormatter, } from '@genesislcap/grid-tabulator';
/**
 * Rapid-styled text formatter for Tabulator.
 * This simply uses the base formatter with the 'rapid' prefix.
 *
 * @param cell - The cell component provided by Tabulator
 * @param formatterParams - Text formatter parameters
 * @returns HTML content for the text value with Rapid styling
 * @public
 */
export function textFormatter(cell, formatterParams = {}) {
    // Always use 'rapid' prefix for Rapid styling
    return baseTextFormatter(cell, Object.assign(Object.assign({}, formatterParams), { prefix: 'rapid' }));
}
